Skip to main content
GET
/
api
/
v1
/
calcom
/
appointments
List Cal.com Appointments
curl --request GET \
  --url https://api.ravan.ai/api/v1/calcom/appointments \
  --header 'X-Api-Key: <api-key>'
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "appointments": [
      {
        "id": "id_123",
        "organization_id": "id_123",
        "agent_id": "id_123",
        "calcom_booking_uid": "id_123",
        "attendee_name": "example",
        "attendee_email": "alex@example.com",
        "attendee_phone": "+14155550100",
        "attendee_timezone": "2026-03-14T12:00:00Z",
        "start_time": "2026-03-14T12:00:00Z",
        "end_time": "2026-03-14T12:00:00Z",
        "duration_minutes": 1,
        "meeting_url": "https://example.com/meeting",
        "status": "active"
      }
    ],
    "count": 1
  }
}

Authorizations

X-Api-Key
string
required
Your Agni API key. Find it in your RavanAi.

Query Parameters

status
string
Filter by status
agent_id
string
Filter by agent ID
limit
integer
Number of results to return (max 200)

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
object
data field.
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "appointments": [
      {
        "id": "id_123",
        "organization_id": "id_123",
        "agent_id": "id_123",
        "calcom_booking_uid": "id_123",
        "attendee_name": "example",
        "attendee_email": "alex@example.com",
        "attendee_phone": "+14155550100",
        "attendee_timezone": "2026-03-14T12:00:00Z",
        "start_time": "2026-03-14T12:00:00Z",
        "end_time": "2026-03-14T12:00:00Z",
        "duration_minutes": 1,
        "meeting_url": "https://example.com/meeting",
        "status": "active"
      }
    ],
    "count": 1
  }
}

Authorizations

X-Api-Key
string
header
required

Query Parameters

status
string

Filter by status

agent_id
string

Filter by agent ID

limit
integer<int32>
default:50

Number of results to return (max 200)

Required range: x <= 200

Response

200 - application/json

Successful response

success
boolean
message
string
data
object